## ECharsetComboBox

ECharsetComboBox

## Synopsis

    struct              ECharsetComboBox;
    GtkWidget *         e_charset_combo_box_new             (void);
    const gchar *       e_charset_combo_box_get_charset     (ECharsetComboBox *combo_box);
    void                e_charset_combo_box_set_charset     (ECharsetComboBox *combo_box,
                                                             const gchar *charset);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkComboBox
                                     +----EActionComboBox
                                           +----ECharsetComboBox

## Implemented Interfaces

ECharsetComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Properties

      "charset"                  gchar*                : Read / Write / Construct

## Description

## Details

### struct ECharsetComboBox

    struct ECharsetComboBox;

### e_charset_combo_box_new ()

    GtkWidget *         e_charset_combo_box_new             (void);

### e_charset_combo_box_get_charset ()

    const gchar *       e_charset_combo_box_get_charset     (ECharsetComboBox *combo_box);

### e_charset_combo_box_set_charset ()

    void                e_charset_combo_box_set_charset     (ECharsetComboBox *combo_box,
                                                             const gchar *charset);

## Property Details

### The `"charset"` property

      "charset"                  gchar*                : Read / Write / Construct

The selected character set.

Default value: "UTF-8"